version: 1.7.5
files:
  - url: Cherry-Studio-1.7.5-arm64.AppImage
    sha512: wjMpXUeDaJZLP5Ph36Q2dhCmI+1dtKLTQDikWnea4HKC3GW38GAmxwHmegsPy2/Js9Yw662/J7yVegFzDLPnqQ==
    size: 172857335
    blockMapSize: 181059
  - url: Cherry-Studio-1.7.5-arm64.deb
    sha512: pm/KRbFuUyKrl/wAf+NAxc1hH4It1MPR31DzkZLlO+1QcQyzRKWC3OYCr1kM4AyqznPtFBL8Hqx6w4Y9R0hynQ==
    size: 125450220
  - url: Cherry-Studio-1.7.5-aarch64.rpm
    sha512: OS71g23TNSCuA6Rtj5txXAEn3hTEw628AtN3W3z2dIRWYPVqqYbgyZmAU5eG3mZJUE0LTB+RV4MrFj2oquJ4JA==
    size: 109649945
path: Cherry-Studio-1.7.5-arm64.AppImage
sha512: wjMpXUeDaJZLP5Ph36Q2dhCmI+1dtKLTQDikWnea4HKC3GW38GAmxwHmegsPy2/Js9Yw662/J7yVegFzDLPnqQ==
releaseNotes: |
  <!--LANG:en-->
  Cherry Studio 1.7.5 - Filesystem MCP Overhaul & Topic Management

  This release features a completely rewritten filesystem MCP server, new batch topic management, and improved assistant management.

  ✨ New Features
  - [MCP] Rewrite filesystem MCP server with improved tool set (glob, ls, grep, read, write, edit, delete)
  - [Topics] Add topic manage mode for batch delete and move operations with search functionality
  - [Assistants] Merge import/subscribe popups and add export to assistant management
  - [Knowledge] Use prompt injection for forced knowledge base search (faster response times)
  - [Settings] Add tool use mode setting (prompt/function) to default assistant settings

  🐛 Bug Fixes
  - [Model] Correct typo in Gemini 3 Pro Image Preview model name
  - [Installer] Auto-install VC++ Redistributable without user prompt
  - [Notes] Fix notes directory validation and default path reset for cross-platform restore
  - [OAuth] Bind OAuth callback server to localhost (127.0.0.1) for security

  <!--LANG:zh-CN-->
  Cherry Studio 1.7.5 - 文件系统 MCP 重构与话题管理

  本次更新完全重写了文件系统 MCP 服务器，新增批量话题管理功能，并改进了助手管理。

  ✨ 新功能
  - [MCP] 重写文件系统 MCP 服务器，提供改进的工具集（glob、ls、grep、read、write、edit、delete）
  - [话题] 新增话题管理模式，支持批量删除和移动操作，带搜索功能
  - [助手] 合并导入/订阅弹窗，并在助手管理中添加导出功能
  - [知识库] 使用提示词注入进行强制知识库搜索（响应更快）
  - [设置] 在默认助手设置中添加工具使用模式设置（prompt/function）

  🐛 问题修复
  - [模型] 修正 Gemini 3 Pro Image Preview 模型名称的拼写错误
  - [安装程序] 自动安装 VC++ 运行库，无需用户确认
  - [笔记] 修复跨平台恢复场景下的笔记目录验证和默认路径重置逻辑
  - [OAuth] 将 OAuth 回调服务器绑定到 localhost (127.0.0.1) 以提高安全性
  <!--LANG:END-->
releaseDate: '2025-12-17T15:21:02.326Z'
